<?xml version="1.0" encoding="UTF-8"?>
<!--
Copyright (C) 2015-2018  Stephan Kreutzer

This file is part of Free Scriptures.

Free Scriptures is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License version 3 or any later version,
as published by the Free Software Foundation.

Free Scriptures is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Affero General Public License 3 for more details.

You should have received a copy of the GNU Affero General Public License 3
along with Free Scriptures. If not, see <http://www.gnu.org/licenses/>.
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="no"/>
  <xsl:template match="/XMLBIBLE">
    <html2epub1-config>
      <xsl:comment> This file was generated by html2epub1_config.xsl of haggai2epub1, which is free software licensed under the GNU Affero General Public License 3 or any later version (see https://gitlab.com/free-scriptures/free-scriptures/ and http://www.free-scriptures.org). </xsl:comment>
      <in>
        <inFile title="Title">./components/title.xhtml</inFile>
        <xsl:for-each select="./BIBLEBOOK">
          <inFile>
            <xsl:attribute name="title">
              <xsl:choose>
                <xsl:when test="./@bname">
                  <xsl:value-of select="./@bname"/>
                </xsl:when>
                <xsl:when test="./CAPTION">
                  <xsl:value-of select="./CAPTION"/>
                </xsl:when>
                <xsl:when test="./@bsname">
                  <xsl:value-of select="./@bsname"/>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:value-of select="./@bnumber"/><xsl:text>. Book</xsl:text>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:attribute>
            <xsl:text>./components/</xsl:text>
            <xsl:number count="/XMLBIBLE/BIBLEBOOK"/>
            <xsl:text>.xhtml</xsl:text>
          </inFile>
        </xsl:for-each>
        <xhtmlSchemaValidation>true</xhtmlSchemaValidation>
        <xhtmlReaderDTDValidation>false</xhtmlReaderDTDValidation>
        <xhtmlReaderNamespaceProcessing>true</xhtmlReaderNamespaceProcessing>
        <xhtmlReaderCoalesceAdjacentCharacterData>true</xhtmlReaderCoalesceAdjacentCharacterData>
        <xhtmlReaderResolveExternalParsedEntities>true</xhtmlReaderResolveExternalParsedEntities>
        <xhtmlReaderUseDTDNotDTDFallback>false</xhtmlReaderUseDTDNotDTDFallback>
      </in>
      <out>
        <outDirectory>./</outDirectory>
        <metaData>
          <title>
            <xsl:choose>
              <xsl:when test="/XMLBIBLE/INFORMATION/title">
                <!--
                  There might be more than one title to allow several long
                  form display names, here only the first one will make it into
                  the metadata.
                -->
                <xsl:value-of select="/XMLBIBLE/INFORMATION/title"/>
              </xsl:when>
              <xsl:otherwise>
                <xsl:value-of select="/XMLBIBLE/@biblename"/>
              </xsl:otherwise>
            </xsl:choose>
          </title>
          <xsl:if test="/XMLBIBLE/INFORMATION/creator">
            <creator>
              <xsl:value-of select="/XMLBIBLE/INFORMATION/creator"/>
            </creator>
          </xsl:if>
          <subject>Bible</subject>
          <xsl:if test="/XMLBIBLE/INFORMATION/description">
            <description>
              <xsl:value-of select="/XMLBIBLE/INFORMATION/description"/>
            </description>
          </xsl:if>
          <xsl:if test="/XMLBIBLE/INFORMATION/publisher">
            <publisher>
              <xsl:value-of select="/XMLBIBLE/INFORMATION/publisher"/>
            </publisher>
          </xsl:if>
          <xsl:for-each select="/XMLBIBLE/INFORMATION/contributor">
            <contributor>
              <xsl:value-of select="."/>
            </contributor>
          </xsl:for-each>
          <xsl:if test="/XMLBIBLE/INFORMATION/identifier">
            <identifier>
              <xsl:value-of select="/XMLBIBLE/INFORMATION/identifier"/>
            </identifier>
          </xsl:if>
          <xsl:if test="/XMLBIBLE/INFORMATION/source">
            <source>
              <xsl:value-of select="/XMLBIBLE/INFORMATION/source"/>
            </source>
          </xsl:if>
          <language>
            <xsl:choose>
              <xsl:when test="/XMLBIBLE/INFORMATION/language">
                <xsl:value-of select="/XMLBIBLE/INFORMATION/language"/>
              </xsl:when>
              <xsl:otherwise>
                <xsl:text>en</xsl:text>
              </xsl:otherwise>
            </xsl:choose>
          </language>
          <xsl:if test="/XMLBIBLE/INFORMATION/coverage">
            <coverage>
              <xsl:value-of select="/XMLBIBLE/INFORMATION/coverage"/>
            </coverage>
          </xsl:if>
          <xsl:if test="/XMLBIBLE/INFORMATION/rights">
            <rights>
              <xsl:value-of select="/XMLBIBLE/INFORMATION/rights"/>
            </rights>
          </xsl:if>
        </metaData>
      </out>
    </html2epub1-config>
  </xsl:template>
</xsl:stylesheet>
